Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss
Interface JVTSession

All Known Subinterfaces:
  JVTOperationalStatusMonitorSession, JVTPerformanceMonitorSession

All Known Implementing Classes:
  JmxJVTOperationalStatusMonitorSession, JmxJVTPerformanceMonitorSession

public interface JVTSession

Every JVT<ApplicationType>Session Bean interface must derive from the following base session interface. The base JVTSession interface provides a common set of operations shared by all the JVT Session Beans. The implementation of the `JVTSession` operations are mandatory.

Method Summary
`EventPropertyDescriptor` | `getEventDescriptor(java.lang.String eventType)` Get the EventPropertyDescriptor associated with an event type name.
`java.lang.String[]` | `getEventTypes()` Get the Event Type names supported by the JVT Session Bean
`java.lang.String[]` | `getManagedEntityTypes()` Get the Managed Entity types supported by a JVT Session Bean.
`java.lang.String[]` | `getQueryTypes()` Get the Query type names supported by a JVT Session Bean
`java.lang.String[]` | `getSupportedOptionalOperations()` Get the names of the optional operations supported by this JVT Session Bean.
`ManagedEntityValue` | `makeManagedEntityValue(java.lang.String valueType)` Create a Value Type object for a specific Managed Entity type.
`QueryValue` | `makeQueryValue(java.lang.String type)` Create a QueryValue Instance matching a Query type name.
`ManagedEntityValueIterator` | `queryManagedEntities(QueryValue query, java.lang.String[] attributeNames)` Query multiple Managed Entities using a QueryValue.

Method Detail

### getSupportedOptionalOperations

    public java.lang.String[] getSupportedOptionalOperations()

  Get the names of the optional operations supported by this JVT Session Bean. The names of the optional operations are defined in the `JVT<ApplicationType>SessionOptionalOps` interface as defined by the API.

  Returns:
    String array which contains the names of all the optional operations supported by an implementation of a JVT Session Bean.

### getManagedEntityTypes

    public java.lang.String[] getManagedEntityTypes()

  Get the Managed Entity types supported by a JVT Session Bean.

  Returns:
    String array which contains the fully qualified names of the leaf node interfaces representing the supported managed entity types. Note that it is not the implementation class name that is returned.

### getQueryTypes

    public java.lang.String[] getQueryTypes()

  Get the Query type names supported by a JVT Session Bean

  Returns:
    String array which contains the fully qualified names of the leaf node interfaces representing the supported query value types, i.e., interfaces which extend QueryValue.

### getEventTypes

    public java.lang.String[] getEventTypes()

  Get the Event Type names supported by the JVT Session Bean

  Returns:
    String array which contains the fully qualified names of the leaf node interfaces representing the supported event types.

### makeQueryValue

    public QueryValue makeQueryValue(java.lang.String type)
                              throws java.lang.IllegalArgumentException

  Create a QueryValue Instance matching a Query type name. The Session Bean is used as a factory for the creation of query values.

  Parameters:
    `type` - fully qualified name of the leaf node QueryValue interface.
  Returns:
    query value object of the specified type.
  Throws:
    `java.lang.IllegalArgumentException` - unknown or unsupported query type.

### getEventDescriptor

    public EventPropertyDescriptor getEventDescriptor(java.lang.String eventType)
                                               throws java.lang.IllegalArgumentException

  Get the EventPropertyDescriptor associated with an event type name.

  Parameters:
    `eventType` - fully qualified name of the leaf node Event interface.
  Returns:
    EventPropertyDescriptor which can be used to discover the filterable properties of the specified event type.
  Throws:
    `java.lang.IllegalArgumentException` - unknown or unsupported event type.

### makeManagedEntityValue

    public ManagedEntityValue makeManagedEntityValue(java.lang.String valueType)
                                              throws java.lang.IllegalArgumentException

  Create a Value Type object for a specific Managed Entity type. Not to be confused with the creation of a Managed Entity. The Session Bean is used as a factory for the creation of Value Types.

  Parameters:
    `valueType` - fully qualified name of the leaf managed entity value interface.
  Returns:
    managed entity value object of the specified type.
  Throws:
    `java.lang.IllegalArgumentException` - unknown or unsupported managed entity value type.

### queryManagedEntities

    public ManagedEntityValueIterator queryManagedEntities(QueryValue query,
                                                           java.lang.String[] attributeNames)
                                                    throws java.lang.IllegalArgumentException

  Query multiple Managed Entities using a QueryValue.

  Parameters:
    `query` - a QueryValue object representing the query.
    `attributeNames` - names of attributes which should be populated in the ManagedEntityValue objects returned by the ManagedEntityValueIterator.
  Returns:
    a ManagedEnityValueIterator used to extract the results of the query.
  Throws:
    `java.lang.IllegalArgumentException` - unsupported query value type. (Note: if an attribute specified in the attributeName array is not supported, it is simply ignored and and does not result in an exception.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD